Bug 82542 - Red Hat should use APT for package management too.
Red Hat should use APT for package management too.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
http://apt4rpm.sourceforge.net/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-23 04:02 EST by Mantas Kriaučiūnas
Modified: 2014-03-16 22:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 12:49:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mantas Kriaučiūnas 2003-01-23 04:02:03 EST
Description of problem:
Red Hat should use not only up2date but also APT for package management.
 Using it would greatly improve ease of use. It works great, Conectiva, ALT
Linux, Yellow Dog Linux, use it already. An overview of which rpm based
distributions, providing native apt support can be found at
http://www.distrowatch.com/summary.php/

I think apt should be included in Red Hat ASAP and Red Hat CDs should have
Packages.gz files (this is mandatory for APT could use rpm packages from CDs).
There are no big need to set-up the infrastructure on the server, because many
Red Hat mirrors already made this - see http://freshrpms.net/apt/

P.S. There are 2 bugs reported about this already: 71767 and 71768.
Comment 1 Michael Lee Yohe 2003-01-23 09:08:18 EST
This is NOTABUG.

People who are familiar with RPM want RPM.  Deviating from utilizing only one
packaging system is not intuitive to ensure that errata, bug fixes, and
enhancements get migrated into two sets of packages.  Red Hat has chosen their
robust system, RPM, to distribute packages to their users.  The philosophy that
"apt" is better than RPM is just an opinion rather than fact.

Why would you want two packaging systems on one machine?  Either way, luckily
for you - the particular niche of Red Hat users who want apt support, you have
the freedom to do so.  But, luckily for me (and other like me who think RPM and
up2date is great), Red Hat has chosen to back its own packaging system and
support it to the greatest extent.
Comment 2 Mantas Kriaučiūnas 2003-01-23 12:22:47 EST
Michael, if you don't understand what APT is, then maybe read some documentation
on http://apt4rpm.sourceforge.net/

APT is NOT another packaging system. APT uses RPM on RPM based systems and dpkg
with DEB packages. APT is like up2data.
Comment 3 Bill Nottingham 2003-01-23 18:03:33 EST
"APT is like up2data. (sic)"

Exactly. If there are features missing from up2date that you'd like, please file
them against enhancement requests against up2date or RHN.
Comment 4 Mantas Kriaučiūnas 2003-01-24 09:16:58 EST
Reh Hat developers should talk more  with each other:

from bug #71768 :
Adrian Likins <alikins@redhat.com> on 2003-01-20 22:39 wrote:
>apt doesn't have many of the features RHN needs, so it's
>not a replacement for up2date. 
>
>If you want the package added, the place to file a report is against "distribution"

Warren Togami <warren@togami.com> on 2003-01-20 23:10 wrote:
>I'm currently working on package GPG checking for apt amongst other features. 
>Could you please provide a list of features needed for RHN?

But when I reported a bug against "distribution" I got this answer:

Bill Nottingham on 2003-01-23 18:03 <notting@redhat.com> wrote:
>"APT is like up2data. (sic)"
>Exactly. If there are features missing from up2date that you'd like, please file
>them against enhancement requests against up2date or RHN.

Maybe developers should first agree against what the bug has to be reported?

Why Red Hat developers don't like to improve Red Hat package management and
don't want to use wonderful things, which were made by other free software
developers ?
I know many RH users, who put manually APT into RedHat and only then they are
satisfied with package management tools. If  RH bugzilla had a voting system
this bug would get lot of votes, I think.
Comment 5 Bill Nottingham 2003-01-24 12:49:17 EST
You misunderstand.

Adrian says apt doesn't have some of the mechanisms that RHN needs to build off
of. This is true.

I said that if apt has *features* that you'd like to see in RHN, to file them
against RHN/up2date.

These two statements do not conflict.

Note You need to log in before you can comment on or make changes to this bug.